Bug 21650 - C4::Items::GetLastAcquisitions has never been used and should be removed
Summary: C4::Items::GetLastAcquisitions has never been used and should be removed
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-24 18:29 UTC by Jonathan Druart
Modified: 2019-04-04 08:50 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21650: Remove the subroutine C4::Items::GetLastAcquisitions (2.58 KB, patch)
2018-10-24 18:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21650: Remove the subroutine C4::Items::GetLastAcquisitions (2.69 KB, patch)
2018-10-24 18:46 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 21650: Remove the subroutine C4::Items::GetLastAcquisitions (2.75 KB, patch)
2018-10-26 13:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21659: Change link to basket group edit page (2.63 KB, patch)
2019-04-04 08:48 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-10-24 18:29:15 UTC
C4::Items::GetLastAcquisitions has been added by
  commit 7753bbad4fb4df47c8fb4f959fc68764a71cb623
  Adding Some new functions

(?)

Apparently it has never been used, we should remove it to avoid unnecessary maintenance.
Comment 1 Jonathan Druart 2018-10-24 18:33:26 UTC
Created attachment 81082 [details] [review]
Bug 21650: Remove the subroutine C4::Items::GetLastAcquisitions

C4::Items::GetLastAcquisitions has been added by
  commit 7753bbad4fb4df47c8fb4f959fc68764a71cb623
  Adding Some new functions

(?)

Apparently it has never been used, we should remove it to avoid unnecessary maintenance.

Test plan:
  git grep GetLastAcquisitions
must not return any results
Comment 2 M. Tompsett 2018-10-24 18:40:48 UTC
POD Coverage failure. Otherwise Ok.
Comment 3 M. Tompsett 2018-10-24 18:46:55 UTC
Created attachment 81083 [details] [review]
Bug 21650: Remove the subroutine C4::Items::GetLastAcquisitions

C4::Items::GetLastAcquisitions has been added by
  commit 7753bbad4fb4df47c8fb4f959fc68764a71cb623
  Adding Some new functions

(?)

Apparently it has never been used, we should remove it to avoid unnecessary maintenance.

Test plan:
  git grep GetLastAcquisitions
must not return any results

NOTE: POD Coverage test failure is expected on removal

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 Katrin Fischer 2018-10-26 13:44:52 UTC
Created attachment 81291 [details] [review]
Bug 21650: Remove the subroutine C4::Items::GetLastAcquisitions

C4::Items::GetLastAcquisitions has been added by
  commit 7753bbad4fb4df47c8fb4f959fc68764a71cb623
  Adding Some new functions

(?)

Apparently it has never been used, we should remove it to avoid unnecessary maintenance.

Test plan:
  git grep GetLastAcquisitions
must not return any results

NOTE: POD Coverage test failure is expected on removal

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2018-11-05 14:55:55 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-11-16 12:31:17 UTC
Enhancement, will not be backported to 18.05.x series.
Comment 7 Katrin Fischer 2019-04-04 08:48:40 UTC
Created attachment 87398 [details] [review]
Bug 21659: Change link to basket group edit page

I have taken another look at other links like the one
from acq order search and changed the link to not lead
to the vendor's basket group page but to the edit page
of the invidividual basket group.

To test:
- Same as first patch, verify links now lead
  to the basket grou edit page
Comment 8 Katrin Fischer 2019-04-04 08:50:56 UTC
Comment on attachment 87398 [details] [review]
Bug 21659: Change link to basket group edit page

Wrong bug number!